      program plottarr

      implicit none

      integer nx
      parameter (nx=200)

      real xarr(nx),zarr(nx),tarr(nx,nx),narr(nx,nx)
      real xin,xout,x,z,t,xmax,dxo2,dx,zin,zout,tamb
      integer nrg,ntg,nlines,ix,iz,i

      open(unit=12,file='tarr.dat',status='unknown')

      read(12,*) nrg
      read(12,*) ntg

      nlines=nrg*ntg

      xmax=500.
      dx=xmax/float(nx)
      dxo2=dx/2.
      tamb=10.

      do ix=1,nx
         xarr(ix)=dx*(float(ix)-0.5)
         zarr(ix)=xarr(ix)
         do iz=1,nx
            tarr(ix,iz)=0.0
            narr(ix,iz)=0.0
         enddo
         print*,'x',xarr(ix)
      enddo

      do i=1,nlines
         read(12,*) x,z,t
         if (t.eq.1000.) t=tamb
         do ix=1,nx
         do iz=1,nx
            xin=xarr(ix)-dxo2
            xout=xarr(ix)+dxo2
            zin=zarr(iz)-dxo2
            zout=zarr(iz)
            if (x.gt.xin.and.x.lt.xout.and.z.gt.zin.and.z.lt.zout) then
               tarr(ix,iz)=tarr(ix,iz)+t
               narr(ix,iz)=narr(ix,iz)+1.
            endif
         enddo
         enddo
      enddo
      
      close(12)

      do ix=1,nx
      do iz=1,nx
         if (narr(ix,iz).gt.0.) then
            tarr(ix,iz)=tarr(ix,iz)/narr(ix,iz)
         else
            tarr(ix,iz)=tamb
         endif
      enddo
      enddo

      open(unit=11,status='unknown',form='unformatted',file='tarr.unf')

      write(11) ((tarr(ix,iz),ix=1,nx),iz=1,nx)

      close(11)

      end
