      subroutine tfinal(nphot)

      implicit none

      include 'grid.txt'
      include 'tts.txt'

      integer ir,it,ip,nphot,idust2,count
      real dusttemp

      do ir=1,nrg-1
      do it=1,ntg-1
      do ip=1,npg-1
         if (.not.diffus(ir,it,ip)) then
            idust2=dustarr(ir,it,ip)
            tdust2(ir,it,ip)=dusttemp(ir,it,ip,dtauabs(ir,it,ip)
     1           ,sngl(tdust(ir,it,ip)),rstar,tstar,nphot,idust2)
c     set tdust same, testing
c            tdust(ir,it,ip)=tdust2(ir,it,ip)
         else
            tdust2(ir,it,ip)=tdust(ir,it,ip)
         endif
         if (tdust2(ir,it,ip)*11605.lt.3.d0) tdust2(ir,it,ip)=3.d0/
     1        11605.d0         
         if (densarr(ir,it,ip).eq.0.d0) tdust2(ir,it,ip)=3.d0/11605.d0
         
      enddo
      enddo
      enddo

c     calculate dust destruction radius
c     comment out when satisfied (yes I will regrid someday)
      it=(ntg+1)/2
      ir=4
      do while (nodust(ir,it,1))
         ir=ir+1
         print*,tdust2(ir,it,1)*11605.d0
      enddo
      print*, 'dust destruction radius ',ir,rarr(ir-1)

      open(unit=15,file='tarr2.unf',status='unknown',form='unformatted')
      write(15) nrg-1,ntg-1,npg-1
      write(15) (ravearr(ir)/autors,ir=1,nrg-1)
      write(15) (thetavearr(it),it=1,ntg-1)
      write(15) (phiavearr(ip),ip=1,npg-1)
      write(15) (((tdust2(ir,it,ip)*11605.d0,ir=1,nrg-1),it=1,ntg-1)
     1     ,ip=1,npg-1)
      close(15)

      open(unit=15,file='tarr.unf',status='unknown',form='unformatted')
      write(15) nrg-1,ntg-1,npg-1
      write(15) (ravearr(ir)/autors,ir=1,nrg-1)
      write(15) (thetavearr(it),it=1,ntg-1)
      write(15) (phiavearr(ip),ip=1,npg-1)
      write(15) (((tdust(ir,it,ip)*11605.d0,ir=1,nrg-1),it=1,ntg-1)
     1     ,ip=1,npg-1)
      close(15)

c      print*,'number of disagreements bet. nab&dtauabs',count

      return
      end
